Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(103)

Issue 12685044: code review 12685044: openpgp: Implement compressed data packets & add suppor...

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 2 months ago by marete
Modified:
6 months ago
Reviewers:
agl1, v.houba
CC:
golang-dev
Visibility:
Public.

Description

openpgp: Implement compressed data packets & add support for compressing data during symmetric encryption. This patch implements the facilities needed to compress data before encryption as allowed (and recommended) by RFC 4880. The new functionality is then used to add support for compressing data during symmetric encryption (openpgp.SymmetricallyEncrypt()). For now, compression defaults to off. Also, only the ZIP and ZLIB compression schemes are supported by this patch. Resulting output tested/verified using GPG. https://gist.github.com/marete/6189760 is a small program that can be used to test that the output of various compression/encryption settings can be read by GPG or other RFC 4880 programs. Upon review, I will follow this patch with 2 others: a) Add support for compression during public key encryption (openpgp.Encrypt()) b) Enable compression by default (subject to the restrictions of the "Compression Preferences" section in RFC 4880).

Patch Set 1 #

Patch Set 2 : diff -r 1747226a2f43 https://code.google.com/p/go.crypto #

Patch Set 3 : diff -r 1747226a2f43 https://code.google.com/p/go.crypto #

Total comments: 5

Patch Set 4 : diff -r 1747226a2f43 https://code.google.com/p/go.crypto #

Patch Set 5 : diff -r 1747226a2f43 https://code.google.com/p/go.crypto #

Patch Set 6 : diff -r 1747226a2f43 https://code.google.com/p/go.crypto #

Patch Set 7 : diff -r 1747226a2f43 https://code.google.com/p/go.crypto #

Patch Set 8 : diff -r 1747226a2f43 https://code.google.com/p/go.crypto #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+116 lines, -1 line) Patch
M openpgp/packet/compressed.go View 1 2 3 4 5 6 2 chunks +82 lines, -0 lines 1 comment Download
M openpgp/packet/config.go View 1 2 3 4 5 6 2 chunks +13 lines, -0 lines 0 comments Download
M openpgp/packet/packet.go View 1 1 chunk +11 lines, -0 lines 0 comments Download
M openpgp/write.go View 1 2 3 4 1 chunk +10 lines, -1 line 1 comment Download

Messages

Total messages: 10
marete
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go.crypto
4 years, 2 months ago (2013-08-08 23:49:05 UTC) #1
agl1
Mostly LGTM. There's a lack of tests here. But I can imagine that the tests ...
4 years, 2 months ago (2013-08-12 11:43:41 UTC) #2
marete
Many thanks for the review. I will make the changes requested this evening. Much appreciated. ...
4 years, 2 months ago (2013-08-12 11:47:59 UTC) #3
marete
Hello golang-dev@googlegroups.com, agl@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
4 years, 2 months ago (2013-08-13 20:30:54 UTC) #4
marete
Hello golang-dev@googlegroups.com, agl@golang.org (cc: golang-dev@googlegroups.com), Please take another look.
4 years, 2 months ago (2013-08-13 21:48:05 UTC) #5
marete
On Wed, Aug 14, 2013 at 12:48 AM, <marete@toshnix.com> wrote: > > Hello golang-dev@googlegroups.com, agl@golang.org ...
4 years, 2 months ago (2013-08-13 21:50:28 UTC) #6
agl1
*** Submitted as https://code.google.com/p/go/source/detail?r=1e7a3e301825&repo=crypto *** openpgp: Implement compressed data packets & add support for compressing ...
4 years, 2 months ago (2013-08-15 16:04:23 UTC) #7
agl1
(Note: I fixed up the couple of nits before landing to save another review round ...
4 years, 2 months ago (2013-08-15 16:05:13 UTC) #8
marete
Many thanks. Brian Gitonga Marete CEO/CTO Toshnix Systems Limited http://www.toshnix.com On Aug 15, 2013 7:05 ...
4 years, 2 months ago (2013-08-15 16:08:07 UTC) #9
v.houba_gmail.com
6 months ago (2017-04-21 07:03:13 UTC) #10
Hello, is it now possible to use compression also during PKI Encryption?

On Friday, August 9, 2013 at 1:49:05 AM UTC+2, Brian Marete wrote:
>
> Reviewers: golang-dev1, 
>
> Message: 
> Hello golan...@googlegroups.com <javascript:>, 
>
> I'd like you to review this change to 
> https://code.google.com/p/go.crypto 
>
>
> Description: 
> openpgp: Implement compressed data packets & add support for compressing 
> data during symmetric encryption. 
>
> This patch implements the facilities needed to compress data before 
> encryption as allowed (and recommended) by RFC 4880. The new 
> functionality is then used to add support for compressing data during 
> symmetric encryption (openpgp.SymmetricallyEncrypt()). 
>
> For now, compression defaults to off. Also, only the ZIP and ZLIB 
> compression schemes are supported by this patch. 
>
> Resulting output tested/verified using GPG. 
>
> https://gist.github.com/marete/6189760 is a small program that can be 
> used to test that the output of various compression/encryption settings 
> can be read by GPG or other RFC 4880 programs. 
>
> Upon review, I will follow this patch with 2 others: a) Add support for 
>         compression during public key encryption (openpgp.Encrypt()) b) 
> Enable 
> compression by default (subject to the restrictions of the "Compression 
>         Preferences" section in RFC 4880). 
>
> Please review this at https://codereview.appspot.com/12685044/ 
>
> Affected files: 
>    M openpgp/packet/compressed.go 
>    M openpgp/packet/config.go 
>    M openpgp/packet/packet.go 
>    M openpgp/write.go 
>
>
>
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted